**Source URL:** https://limited.veevavault.dev/clinical/vault-api/api-reference/21.1/metadata-definition-language-mdl/retrieve-component-records/component-record-collection.md

# Component Record Collection

  

Retrieve all records for a specific component type.

<Endpoint path="/api/{version}/configuration/{component_type}" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{component_type}` | The component type name (`Picklist`, `Docfield`, `Doctype`, etc.). |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v19.1/configuration/Picklist

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "data": [
        {
            "name": "color__c",
            "label": "Color",
            "Picklistentry": [
                {
                    "name": "red__c",
                    "value": "Red",
                    "order": 1,
                    "active": true
                },
                {
                    "name": "blue__c",
                    "value": "Blue",
                    "order": 2,
                    "active": true
                },
                {
                    "name": "green__c",
                    "value": "Green",
                    "order": 3,
                    "active": true
                }
            ],
            "active": true,
            "used_in": []
        }
    ]
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, the response contains all component records in the Vault for the specified component type. Each component record returns a minimum of API `name` and UI `label`, but most types return more. Complete details of the component can be retrieved using [Retrieve Component Record](#Retrieve_Component_Record) or [MDL](#Retrieve_Component_Record_MDL).



---

**Previous:** [Retrieve Component Records](/clinical/vault-api/api-reference/21.1/metadata-definition-language-mdl/retrieve-component-records)  
**Next:** [Retrieve Component Record (XML/JSON)](/clinical/vault-api/api-reference/21.1/metadata-definition-language-mdl/retrieve-component-records/retrieve-component-record-xmljson)